<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.AP.bestBuy</name>
<version>2</version>
<engineversion>25</engineversion>
<description>AP wrapper for trade.bestBuy</description>
<arguments>
<argument index="1" name="ware" type="Var/Ware" desc="ware" />
<argument index="2" name="jumps" type="Var/Number" desc="Max Jumps" />
<argument index="3" name="amount" type="Var/Number" desc="buy amount" />
<argument index="4" name="max.price" type="Var/Number" desc="Max. Price" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;3rd&#160;party&#160;scripts,&#160;but</var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>please&#160;mention&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var>Cannot&#160;&#160;do&#160;this&#160;here&#160;because&#160;of&#160;other&#160;scripts&#160;using&#160;this</var></comment></line>
<line linenr="008" indent=""><comment>*[THIS]&#160;-&gt;<text>&#160;set&#160;command:&#160;</text>COMMAND_GET_WARE_BEST<text>&#160;&#160;target=</text>$ware<text>&#160;target2=</text>$station<text>&#160;par1=</text>$amount<text>&#160;par2=</text>null</comment></line>
<line linenr="009" indent=""><comment>*<text>set&#160;script&#160;command:&#160;</text>COMMAND_TYPE_TRADE_30</comment></line>
<line linenr="010" indent=""></line>
<line linenr="011" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="012" indent=""><var>$wares.database&#160;=&#160;</var><var>'database.wares'</var></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><comment><text>*&#160;</text><var>Get&#160;ship&#160;name&#160;for&#160;messages</var></comment></line>
<line linenr="015" indent=""><comment>*$Ship.Name&#160;=&#160;[THIS]&#160;-&gt;<text>&#160;call&#160;script&#160;</text>Xai.PRS.AP.getName<text>&#160;:&#160;</text></comment></line>
<line linenr="016" interruptable="@" indent=""><var>$Ship.Name&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.getName</call><text>&#160;:&#160;</text></line>
<line linenr="017" indent=""></line>
<line linenr="018" indent=""><comment><text>*&#160;</text><var>Get&#160;jump&#160;range&#160;to&#160;trade&#160;in</var></comment></line>
<line linenr="019" indent=""><var>$AP.jumps&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'AP.jumps'</var></line>
<line linenr="020" indent=""><var>$AP.jumps&#160;=&#160;</var><var>$AP.jumps</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="021" indent=""><var>skip&#160;if&#160;</var><var>$jumps</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$AP.jumps</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$AP.jumps</var></line>
<line linenr="022" indent="&#160;"><var>$jumps&#160;=&#160;</var><var>$AP.jumps</var></line>
<line linenr="023" indent=""></line>
<line linenr="024" indent=""><comment><text>*&#160;</text><var>Call&#160;main&#160;trade.bestBuy</var></comment></line>
<line linenr="025" indent=""><comment>*<text>write&#160;to&#160;log&#160;file&#160;#</text>309<text>&#160;&#160;append=</text>[TRUE]<text>&#160;&#160;printf:&#160;fmt=</text>'%s&#160;%s&#160;%s&#160;%s'<text>,&#160;</text>[THIS]<text>,&#160;</text>$ware<text>,&#160;</text>$jumps<text>,&#160;</text>$max.price<text>,&#160;</text>null</comment></line>
<line linenr="026" interruptable="@" indent=""><var>$ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.trade.bestBuy</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>$ware</var><text>&#160;</text><text>&#160;Max&#160;Jumps=</text><var>$jumps</var><text>&#160;</text><text>&#160;buy&#160;amount=</text><var>$amount</var><text>&#160;</text><text>&#160;Max.&#160;Price=</text><var>$max.price</var></line>
<line linenr="027" indent=""><var>$AP.trade.status&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'AP.trade.status'</var></line>
<line linenr="028" indent=""></line>
<line linenr="029" indent=""></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>If&#160;trade&#160;success,&#160;store&#160;returned&#160;ware.data</var></comment></line>
<line linenr="031" interruptable="@" indent=""><var>$ware.data&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.db.basic</call><text>&#160;:&#160;</text><text>&#160;Row&#160;label=</text><var>$ware</var><text>&#160;</text><text>&#160;Row&#160;data=</text><var>null</var><text>&#160;</text><text>&#160;Table&#160;name=</text><var>$wares.database</var></line>
<line linenr="032" indent=""><var>if&#160;</var><text>&#160;is&#160;datatyp[&#160;</text><var>$AP.trade.status</var><text>&#160;]&#160;==&#160;</text><var>DATATYP_ARRAY</var></line>
<line linenr="033" indent="&#160;"><var>$data&#160;=&#160;</var><var>$AP.trade.status</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="034" indent=""><text>else</text></line>
<line linenr="035" indent="&#160;"><var>$data&#160;=&#160;</var><var>0</var></line>
<line linenr="036" indent=""><text>end</text></line>
<line linenr="037" indent=""></line>
<line linenr="038" indent=""><var>if&#160;</var><var>$ware.data</var></line>
<line linenr="039" indent="&#160;"><var>$data&#160;=&#160;</var><var>$AP.trade.status</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="040" indent="&#160;"><var>$ware.data</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$data</var></line>
<line linenr="041" indent=""><text>else</text></line>
<line linenr="042" indent="&#160;"><var>$ware.data&#160;=&#160;</var><var>$AP.trade.status</var></line>
<line linenr="043" indent=""><text>end</text></line>
<line linenr="044" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.db.basic</call><text>&#160;:&#160;</text><text>&#160;Row&#160;label=</text><var>$ware</var><text>&#160;</text><text>&#160;Row&#160;data=</text><var>$ware.data</var><text>&#160;</text><text>&#160;Table&#160;name=</text><var>$wares.database</var></line>
<line linenr="045" indent=""></line>
<line linenr="046" indent=""><comment><text>*&#160;</text><var>If&#160;not&#160;station,&#160;check&#160;someone&#160;likes&#160;you</var></comment></line>
<line linenr="047" indent=""><var>if&#160;</var><var>$AP.trade.status</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'not.station'</var></line>
<line linenr="048" interruptable="@" indent="&#160;"><var>if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.safe.station</call><text>&#160;:&#160;</text><text>&#160;Sector=</text><var>[SECTOR]</var></line>
<line linenr="049" indent="&#160;&#160;"><var>$msg.time&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'msg.notstation'</var></line>
<line linenr="050" indent="&#160;&#160;"><var>$time&#160;=&#160;</var><text>playing&#160;time</text></line>
<line linenr="051" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$msg.time</var></line>
<line linenr="052" indent="&#160;&#160;&#160;"><var>$msg.time&#160;=&#160;</var><var>$time</var></line>
<line linenr="053" indent="&#160;&#160;"><var>if&#160;</var><var>$time</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>$msg.time</var></line>
<line linenr="054" interruptable="@" indent="&#160;&#160;&#160;"><var>$msg&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.message</call><text>&#160;:&#160;</text><text>&#160;Message&#160;Number=</text><var>13</var><text>&#160;</text><text>&#160;Arg&#160;1=</text><var>$Ship.Name</var><text>&#160;</text><text>&#160;Arg&#160;2=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;3=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;4=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;5=</text><var>null</var></line>
<line linenr="055" indent="&#160;&#160;&#160;"><var>$msg.time&#160;=&#160;</var><var>$time</var><text>&#160;</text><var>+</var><text>&#160;</text><var>180</var></line>
<line linenr="056" indent="&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'msg.notstation'</var><text>&#160;value=</text><var>$msg.time</var></line>
<line linenr="057" indent="&#160;&#160;"><text>end</text></line>
<line linenr="058" indent="&#160;"><text>end</text></line>
<line linenr="059" indent="&#160;"></line>
<line linenr="060" indent=""><comment><text>*&#160;</text><var>Is&#160;this&#160;cannot&#160;carry&#160;&#160;ware&#160;class,&#160;&#160;send&#160;message</var></comment></line>
<line linenr="061" indent=""><var>else&#160;if&#160;</var><var>$AP.trade.status</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'not.carry'</var></line>
<line linenr="062" interruptable="@" indent="&#160;"><var>$msg&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.message</call><text>&#160;:&#160;</text><text>&#160;Message&#160;Number=</text><var>14</var><text>&#160;</text><text>&#160;Arg&#160;1=</text><var>$Ship.Name</var><text>&#160;</text><text>&#160;Arg&#160;2=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;3=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;4=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;5=</text><var>null</var></line>
<line linenr="063" indent=""><text>end</text></line>
<line linenr="064" indent=""></line>
<line linenr="065" indent=""></line>
<line linenr="066" indent=""><comment><text>*&#160;</text><var>Send&#160;error&#160;msg&#160;if&#160;one</var></comment></line>
<line linenr="067" indent=""><var>if&#160;</var><var>$msg</var></line>
<line linenr="068" indent="&#160;"><text>write&#160;to&#160;player&#160;logbook&#160;</text><var>$msg</var></line>
<line linenr="069" indent="&#160;"><text>play&#160;sample:&#160;incoming&#160;transmission&#160;</text><var>[IncomingTransmission.Greeting]</var><text>,&#160;from&#160;object&#160;</text><var>[THIS]</var></line>
<line linenr="070" indent=""><text>end</text></line>
<line linenr="071" indent=""><comment><text>*&#160;</text><var>Modified&#160;By&#160;Kazantia</var></comment></line>
<line linenr="072" indent=""><var>$Level.trader.log&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'level.trade'</var></line>
<line linenr="073" indent=""><var>$log.data&#160;=&#160;</var><var>$data</var></line>
<line linenr="074" indent=""><var>if&#160;</var><var>$log.data</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="075" indent="&#160;"><var>$log.data&#160;=&#160;</var><var>0</var></line>
<line linenr="076" indent=""><text>end</text></line>
<line linenr="077" indent=""><var>$Log.Time&#160;=&#160;</var><text>playing&#160;time</text></line>
<line linenr="078" indent=""><var>$Log.Txt&#160;=&#160;</var><var>$Log.Time</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>[THIS]</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'Buy'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$ret</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$ware</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$log.data</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>[DOCKEDAT]</var></line>
<line linenr="079" indent=""><text>write&#160;to&#160;log&#160;file&#160;#</text><var>$Level.trader.log</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;fmt=</text><var>'%s'</var><text>,&#160;</text><var>$Log.Txt</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>
<line linenr="080" indent=""><comment><text>*&#160;</text><var>End&#160;Modification</var></comment></line>
<line linenr="081" indent=""><comment><text>*&#160;</text><var>return&#160;amount&#160;bought</var></comment></line>
<line linenr="082" indent=""><text>return&#160;</text><var>$ret</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.AP.bestBuy" /><sval type="int" val="25" /><sval type="string" val="AP wrapper for trade.bestBuy" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="18"><sval type="string" val="ware" /><sval type="string" val="jumps" /><sval type="string" val="amount" /><sval type="string" val="max.price" /><sval type="string" val="wares.database" /><sval type="string" val="Ship.Name" /><sval type="string" val="AP.jumps" /><sval type="string" val="ret" /><sval type="string" val="AP.trade.status" /><sval type="string" val="ware.data" /><sval type="string" val="data" /><sval type="string" val="msg.time" /><sval type="string" val="time" /><sval type="string" val="msg" /><sval type="string" val="Level.trader.log" /><sval type="string" val="log.data" /><sval type="string" val="Log.Time" /><sval type="string" val="Log.Txt" /></sval><sval type="array" size="44"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="database.wares" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.getName" /><sval type="int" val="5" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="AP.jumps" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-536869113" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="65556" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.trade.bestBuy" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="AP.trade.status" /><sval type="int" val="8" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.db.basic" /><sval type="int" val="9" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="6"><sval type="int" val="125" /><sval type="int" val="-1610609405" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="20" /><sval type="int" val="21" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610608125" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="19" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.db.basic" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604797" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="5" /><sval type="string" val="not.station" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.safe.station" /><sval type="int" val="-536863228" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65542" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="msg.notstation" /><sval type="int" val="11" /></sval><sval type="array" size="2"><sval type="int" val="141" /><sval type="int" val="12" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536864249" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605053" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="18"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="13" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="180" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="msg.notstation" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="33" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604283" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="5" /><sval type="string" val="not.carry" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="18"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="13" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610603517" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="400" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="5"><sval type="int" val="201" /><sval type="int" val="131075" /><sval type="int" val="302" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="level.trade" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602493" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="141" /><sval type="int" val="16" /></sval><sval type="array" size="79"><sval type="int" val="104" /><sval type="int" val="17" /><sval type="int" val="25" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="Buy" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="25" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /><sval type="int" val="11" /><sval type="int" val="-6" /><sval type="int" val="11" /><sval type="int" val="-8" /><sval type="int" val="11" /><sval type="int" val="-10" /><sval type="int" val="11" /><sval type="int" val="-12" /><sval type="int" val="11" /><sval type="int" val="-14" /><sval type="int" val="11" /><sval type="int" val="-16" /><sval type="int" val="11" /><sval type="int" val="-18" /><sval type="int" val="11" /><sval type="int" val="-20" /><sval type="int" val="11" /><sval type="int" val="-22" /><sval type="int" val="11" /><sval type="int" val="-24" /></sval><sval type="array" size="17"><sval type="int" val="405" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="string" val="%s" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval></sval><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Max Jumps" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="buy amount" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Max. Price" /></sval></sval><sval type="array" size="41"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in 3rd party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="please mention Xai Corporation in your documentation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Cannot  do this here because of other scripts using this" /></sval><sval type="array" size="15"><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="string" val="ware" /><sval type="int" val="131074" /><sval type="string" val="station" /><sval type="int" val="131074" /><sval type="string" val="amount" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="120" /><sval type="int" val="18" /><sval type="int" val="430" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="Get ship name for messages" /></sval><sval type="array" size="8"><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="102" /><sval type="string" val="Xai.PRS.AP.getName" /><sval type="string" val="Ship.Name" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="Get jump range to trade in" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="7" /><sval type="int" val="1" /><sval type="string" val="Call main trade.bestBuy" /></sval><sval type="array" size="19"><sval type="int" val="7" /><sval type="int" val="3" /><sval type="int" val="405" /><sval type="int" val="4" /><sval type="int" val="309" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="string" val="%s %s %s %s" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="string" val="ware" /><sval type="int" val="131074" /><sval type="string" val="jumps" /><sval type="int" val="131074" /><sval type="string" val="max.price" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="9" /><sval type="int" val="1" /><sval type="string" val="If trade success, store returned ware.data" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="18" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="20" /><sval type="int" val="1" /><sval type="string" val="If not station, check someone likes you" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="30" /><sval type="int" val="1" /><sval type="string" val="Is this cannot carry  ware class,  send message" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="33" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="33" /><sval type="int" val="1" /><sval type="string" val="Send error msg if one" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="36" /><sval type="int" val="1" /><sval type="string" val="Modified By Kazantia" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="43" /><sval type="int" val="1" /><sval type="string" val="End Modification" /></sval><sval type="array" size="3"><sval type="int" val="43" /><sval type="int" val="1" /><sval type="string" val="return amount bought" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
